﻿
.editor-popup-wrapper .editor-popup-title {
    font-family: Inter;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.75rem;
    align-self: stretch;
}
.editor-popup-wrapper .dx-popup-title {
    height: 3rem;
    padding: 0.75rem 1.5rem;
    align-items: center;
    gap: 0.75rem;
    align-self: stretch;
}
.editor-popup-wrapper .dx-toolbar {
    padding:0.75rem 1rem;
}

.editor-popup-wrapper .dx-toolbar-items-container {
    height: 2.25rem !important;
}
.editor-popup-wrapper .dx-toolbar.dx-popup-bottom {
    border-top: 1px solid #e8eaeb;
}
.editor-popup-wrapper.dx-popup-wrapper > .dx-overlay-content .dx-popup-content {
    padding: 1.5rem 1.5rem 2rem 1.5rem;
}
#editor-popup-import-uploader .dx-fileuploader-button,
.editor-popup-btn-font {
    font-family: Inter;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.25rem;
}
.editor-popup-wrapper .dx-box-item-content{
    padding-bottom:0.5rem;
    font-size: 0.75rem;
}
.editor-popup-wrapper .dx-invalid-message > .dx-overlay-content {
    font-family: Inter;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.125rem;
    color: var(--sds-critical-500, #EB5757);
    background-color: transparent;
    transition: none !important;
    transform: translate(0rem, 1.375rem) !important;
}
.editor-popup-wrapper .dx-invalid.dx-texteditor.dx-editor-outlined.dx-show-invalid-badge .dx-texteditor-input-container::after {
    content: "";
    background: transparent;
}
.editor-popup-wrapper .dx-invalid.dx-texteditor {
    border: 1px solid var(--sds-critical-500, #EB5757) !important;
    background: var(--sds-critical-100, #FFE8E8) !important;
}
.editor-popup-form .dx-field-item-label-text {
    font-family: Inter;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem;
    color: var(--sds-text-grey-900, #020303);
}
.editor-popup-form .dx-texteditor {
    border-radius: 0.375rem !important;
    border: 1px solid var(--sds-grey-500, --sds-grey) !important;
    background: var(--sds-grey-000, --sds-grey-000) !important;
    height: 2rem;
}
.editor-popup-form .dx-texteditor-input {
    font-family: Inter !important;
    min-height: 1.5rem;
}

.editor-popup-form textarea,
.editor-popup-form input {
    padding: 0.375rem 0.75rem;
}

.editor-popup-form .dx-dropdowneditor-icon {
    border: 0
}

.editor-popup-wrapper .delete-item{
    cursor: pointer;
    gap: 0.5rem;
}
.editor-popup-wrapper .delete-item .delete-label{
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.25rem;
    font-family: Inter;
    color: #EB5757;
}
.editor-popup-wrapper .sds-popup-remove-icon-wrapper{
    cursor: pointer;
}

#editor-popup-import-uploader .dx-fileuploader-input-wrapper {
    display: block;
}
#editor-popup-import-uploader .dx-fileuploader-input {
    display: none;
}
#editor-popup-import-uploader .dx-fileuploader-container {
    width: auto;
}
#editor-popup-import-uploader .dx-fileuploader-input-wrapper,
#editor-popup-import-uploader .dx-fileuploader-wrapper,
#editor-popup-import-uploader .dx-fileuploader-input-wrapper::before,
#editor-popup-import-uploader .dx-fileuploader-input-wrapper::after {
    padding: 0px;
    margin: 0px;
    border:none;
}

.editor-popup-wrapper .dx-has-close-button  svg {
    width: 1.5rem;
    height: 1.5rem;
}
.dx-popup-bottom .dx-button {
    min-width: 6.25rem;
}